Package org.apache.groovy.groovysh.jline

# Enum Class SystemRegistryImpl.Pipe

java.lang.Object
java.lang.Enum<SystemRegistryImpl.Pipe>
org.apache.groovy.groovysh.jline.SystemRegistryImpl.Pipe

All Implemented Interfaces:
  `Serializable`, `Comparable<SystemRegistryImpl.Pipe>`, `Constable`

Enclosing class:
  SystemRegistryImpl

public static enum SystemRegistryImpl.Pipe extends Enum<SystemRegistryImpl.Pipe>
Pipe operators used to connect commands in a pipeline.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AND`
  Logical AND, next command runs only if previous succeeds
  `APPEND`
  Output redirection to file with append
  `FLIP`
  Sequential execution, next command runs regardless of previous result
  `NAMED`
  Named pipe
  `OR`
  Logical OR, next command runs only if previous fails
  `PIPE`
  Pipe to external process
  `REDIRECT`
  Output redirection to file

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SystemRegistryImpl.Pipe`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SystemRegistryImpl.Pipe[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FLIP

    public static final SystemRegistryImpl.Pipe FLIP
    Sequential execution, next command runs regardless of previous result

  - ### NAMED

    public static final SystemRegistryImpl.Pipe NAMED
    Named pipe

  - ### AND

    public static final SystemRegistryImpl.Pipe AND
    Logical AND, next command runs only if previous succeeds

  - ### OR

    public static final SystemRegistryImpl.Pipe OR
    Logical OR, next command runs only if previous fails

  - ### REDIRECT

    public static final SystemRegistryImpl.Pipe REDIRECT
    Output redirection to file

  - ### APPEND

    public static final SystemRegistryImpl.Pipe APPEND
    Output redirection to file with append

  - ### PIPE

    public static final SystemRegistryImpl.Pipe PIPE
    Pipe to external process

- ## Method Details

  - ### values

    public static SystemRegistryImpl.Pipe[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SystemRegistryImpl.Pipe valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null